package com.bonus.material.iot.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.material.iot.mapper.IotMachineMapper;
import com.bonus.material.iot.domain.IotMachine;
import com.bonus.material.iot.service.IIotMachineService;

/**
 * 设备管理Service业务层处理
 * 
 * @author xsheng
 * @date 2024-10-16
 */
@Service
public class IotMachineServiceImpl implements IIotMachineService {
    @Autowired
    private IotMachineMapper iotMachineMapper;

    /**
     * 查询设备管理
     * 
     * @param id 设备管理主键
     * @return 设备管理
     */
    @Override
    public IotMachine selectIotMachineById(Long id) {
        return iotMachineMapper.selectIotMachineById(id);
    }

    /**
     * 查询设备管理列表
     * 
     * @param iotMachine 设备管理
     * @return 设备管理
     */
    @Override
    public List<IotMachine> selectIotMachineList(IotMachine iotMachine) {
        return iotMachineMapper.selectIotMachineList(iotMachine);
    }

    /**
     * 新增设备管理
     * 
     * @param iotMachine 设备管理
     * @return 结果
     */
    @Override
    public int insertIotMachine(IotMachine iotMachine) {
        iotMachine.setCreateTime(DateUtils.getNowDate());
        try {
            return iotMachineMapper.insertIotMachine(iotMachine);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改设备管理
     * 
     * @param iotMachine 设备管理
     * @return 结果
     */
    @Override
    public int updateIotMachine(IotMachine iotMachine) {
        iotMachine.setUpdateTime(DateUtils.getNowDate());
        try {
            return iotMachineMapper.updateIotMachine(iotMachine);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除设备管理
     * 
     * @param ids 需要删除的设备管理主键
     * @return 结果
     */
    @Override
    public int deleteIotMachineByIds(Long[] ids) {
        return iotMachineMapper.deleteIotMachineByIds(ids);
    }

    /**
     * 删除设备管理信息
     * 
     * @param id 设备管理主键
     * @return 结果
     */
    @Override
    public int deleteIotMachineById(Long id) {
        return iotMachineMapper.deleteIotMachineById(id);
    }
}
